;usbpad8x - Axe Axiom
;made by fortytwo on 13 April 2013
;mimics a USB keyboard by using the Smartview keypress bcall, which mimics a keyboard
;very well.
;usage:
;LabelOn   enables the keyboard
;LabelOff  disables the keyboard
;setDtFmt(modifier,Key) sends a keypress. The key is a USB HID keyboard scancode.
;
;assembled with Brass



#include "axe.inc"
#include "tokenhook.inc"
.binarymode TI8X
.tivariabletype 15h
.tiarchived
.list
.org 0000h
.dw $C0DE
_headSetup:
    .dw _headSendKeypress - _setup
    .db 1Fh
    .db 7Eh,0Ch
    .db 00h
    .db 00h
_setup:
    .relocate 0000h
    bcall(_RunIndicOff)
    ld a,1
    bcall(530Bh);_ToggleUSBSmartPadInput
    bcall(_RecycleUSB)
    .endrelocate
_headSendKeypress:
    .dw _headExit - _sendkeypress
    .db 1Fh
    .db EFh,03h
    .db 00h
    .db 02h
_sendkeypress:
    .relocate 0000h
    ld a,l
    pop hl
    ld b,l
    bcall(5308h);_SendSmartPadKeypress
    ei
    ld a,41h
    out (36h),a
    xor a
    out (37h),a
    ld a,10
    out (38h),a
timerloop:
    in a,(4)
    bit 7,a
    jr z,timerloop
    .endrelocate
_headExit:
    .dw _end - _exit
    .echo "sendkeypress is "
    .echo _end - _exit
    .echoln " bytes large"
    .db 1Fh
    .db 7Eh,0Dh
    .db 00h
    .db 00h
_exit:
    .relocate 0000h
    xor a
    ld b,a
    bcall(5308h);_SendSmartPadKeypress
    ei
    ld a,41h
    out (36h),a
    xor a
    out (37h),a
    ld a,10
    out (38h),a
exittimerloop:
    in a,(4)
    bit 7,a
    jr z,exittimerloop
    xor a
    bcall(530Bh);_ToggleUSBSmartPadInput
    bcall(5311h);_RecycleUSB
    .endrelocate
_end:
    .dw 0000h